► |  | Sprachebenen und Material zu Die Macht der Abstraktion

1 | Die Macht der Abstraktion - Anfänger
2 | Die Macht der Abstraktion
3 | Die Macht der Abstraktion mit Zuweisungen
4 | Die Macht der Abstraktion fortgeschritten
5 | Konstruktionsanleitungen 1 bis 10
6 | Bilder konstruieren: "image.ss"
7 | Animationen: "world.ss"
8 | Turtle-Grafik: "turtle.ss"
9 | Abspielen von Audio-Dateien: "sound.ss"
10 | 3D-Liniengraphik: "line3d.ss"
11 | DMd A: Sprachen als Libraries
| Index

▼ | 1 | Die Macht der Abstraktion - Anfänger

1.1 | Definitionen
1.2 | Record-Typ-Definitionen
1.3 | Prozedurapplikation
1.4 | #t and #f
1.5 | lambda
1.6 | Bezeichner
1.7 | cond
1.8 | if
1.9 | and
1.10 | or
1.11 | Signaturen
1.12 | Testfälle
1.13 | Parametrische Record-Typ-Definitionen
1.14 | Eigenschaften
1.15 | Primitive Operationen

On this page:

cond
else

top← prev up next →

#### 1.7`` cond

> > syntax

> > (cond (expr expr) ... (expr expr))

Ein cond-Ausdruck bildet eine Verzweigung, die aus mehreren Zweigen besteht. Jeder Zweig besteht aus einem Test und einem Ausdruck. Bei der Auswertung werden die Zweige nacheinander abgearbeitet. Dabei wird jeweils zunächst der Test ausgewertet, der jeweils einen booleschen Wert ergeben müssen. Beim ersten Test, der #t ergibt, wird der Wert des Ausdrucks des Zweigs zum Wert der gesamten Verzweigung. Wenn kein Test #t ergibt, wird das Programm mit einer Fehlermeldung abgebrochen.

> > syntax

> > (cond (expr expr) ... (else expr))

Die Form des cond-Ausdrucks ist ähnlich zur vorigen, mit der Ausnahme, daß in dem Fall, in dem kein Test #t ergibt, der Wert des letzten Ausdruck zum Wert der cond-Form wird.

> > syntax

> > else

Das Schlüsselwort else kann nur in cond benutzt werden.
top← prev up next →